"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BioChemInteraction = void 0;
const react_1 = require("react");
const BioChemEntityType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "bioChemInteraction",
        itemScope: true,
        itemType: "https://schema.org/BioChemEntity",
        ...props,
    }, children);
};
const BioChemInteraction = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "bioChemInteraction",
        ...props,
    }, children);
};
exports.BioChemInteraction = BioChemInteraction;
BioChemInteraction.BioChemEntity = BioChemEntityType;
