"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BioChemSimilarity = void 0;
const react_1 = require("react");
const BioChemEntityType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "bioChemSimilarity",
        itemScope: true,
        itemType: "https://schema.org/BioChemEntity",
        ...props,
    }, children);
};
const BioChemSimilarity = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "bioChemSimilarity",
        ...props,
    }, children);
};
exports.BioChemSimilarity = BioChemSimilarity;
BioChemSimilarity.BioChemEntity = BioChemEntityType;
