"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaxonomicRange = void 0;
const react_1 = require("react");
const TaxonomicRange = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'taxonomicRange',
        ...props,
    }, children);
};
exports.TaxonomicRange = TaxonomicRange;
TaxonomicRange.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "taxonomicRange",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
TaxonomicRange.DefinedTerm = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "taxonomicRange",
        itemScope: true,
        itemType: "https://schema.org/DefinedTerm",
        ...props
    }, children);
};
TaxonomicRange.Taxon = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "taxonomicRange",
        itemScope: true,
        itemType: "https://schema.org/Taxon",
        ...props
    }, children);
};
